jmarkov.solvers

## Class Solver

- java.lang.Object
- - jmarkov.solvers.Solver

- All Implemented Interfaces:
    JMarkovElement
  Direct Known Subclasses:
    GeometricSolver, GeometrixSolver, SteadyStateSolver, TransientSolver

      public abstract class Solver
      extends java.lang.Object
      implements JMarkovElement

  This abstract class has to be extended in order to implement solvers for Steady State and Transient probabilities. Most users do not need to implement this class since a default solver is provided.
  Author:
    Germán Riaño. Universidad de los Andes.
  See Also:
    `SteadyStateSolver`, `TransientSolver`, `JamaSolver`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Solver(MarkovProcess mp)` Build a solver for the given SimpleMarkovProcess

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MarkovProcess` | `getMP()` Returns the Markov process currently being solved by this solver.
    `abstract java.lang.String` | `label()` The name of this solver.
    `java.lang.String` | `toString()` Return the name of the Solver.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `description, equals`

- - ### Constructor Detail

    - #### Solver

          public Solver(MarkovProcess mp)

      Build a solver for the given SimpleMarkovProcess
      Parameters:
        `mp` - Markov Process to be solved.

  - ### Method Detail

    - #### getMP

          public final MarkovProcess getMP()

      Returns the Markov process currently being solved by this solver.
      Returns:
        the current Markov Process associated with this solver.

    - #### label

          public abstract java.lang.String label()

      The name of this solver. This should be implemented by the extending classes..
      Specified by:
        `label` in interface `JMarkovElement`
      Returns:
        A String label.
      See Also:
        `JMarkovElement.description()`

    - #### toString

          public final java.lang.String toString()

      Return the name of the Solver.
      Specified by:
        `toString` in interface `JMarkovElement`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String label.
      See Also:
        `label()`